Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getWirelessSsidsHotspot20({
networkId: "string",
number: "string",
});
export const merakiNetworksWirelessSsidsHotspot20Example = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_wireless_ssids_hotspot20(network_id="string",
number="string")
pulumi.export("merakiNetworksWirelessSsidsHotspot20Example", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupWirelessSsidsHotspot20(ctx, &networks.LookupWirelessSsidsHotspot20Args{
NetworkId: "string",
Number: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksWirelessSsidsHotspot20Example", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetWirelessSsidsHotspot20.Invoke(new()
{
NetworkId = "string",
Number = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksWirelessSsidsHotspot20Example"] = example.Apply(getWirelessSsidsHotspot20Result => getWirelessSsidsHotspot20Result.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetWirelessSsidsHotspot20Args;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getWirelessSsidsHotspot20(GetWirelessSsidsHotspot20Args.builder()
.networkId("string")
.number("string")
.build());
ctx.export("merakiNetworksWirelessSsidsHotspot20Example", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getWirelessSsidsHotspot20
arguments:
networkId: string
number: string
outputs:
merakiNetworksWirelessSsidsHotspot20Example: ${example.item}
Using getWirelessSsidsHotspot20
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWirelessSsidsHotspot20(args: GetWirelessSsidsHotspot20Args, opts?: InvokeOptions): Promise<GetWirelessSsidsHotspot20Result>
function getWirelessSsidsHotspot20Output(args: GetWirelessSsidsHotspot20OutputArgs, opts?: InvokeOptions): Output<GetWirelessSsidsHotspot20Result>def get_wireless_ssids_hotspot20(network_id: Optional[str] = None,
number: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWirelessSsidsHotspot20Result
def get_wireless_ssids_hotspot20_output(network_id: Optional[pulumi.Input[str]] = None,
number: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWirelessSsidsHotspot20Result]func LookupWirelessSsidsHotspot20(ctx *Context, args *LookupWirelessSsidsHotspot20Args, opts ...InvokeOption) (*LookupWirelessSsidsHotspot20Result, error)
func LookupWirelessSsidsHotspot20Output(ctx *Context, args *LookupWirelessSsidsHotspot20OutputArgs, opts ...InvokeOption) LookupWirelessSsidsHotspot20ResultOutput> Note: This function is named LookupWirelessSsidsHotspot20 in the Go SDK.
public static class GetWirelessSsidsHotspot20
{
public static Task<GetWirelessSsidsHotspot20Result> InvokeAsync(GetWirelessSsidsHotspot20Args args, InvokeOptions? opts = null)
public static Output<GetWirelessSsidsHotspot20Result> Invoke(GetWirelessSsidsHotspot20InvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWirelessSsidsHotspot20Result> getWirelessSsidsHotspot20(GetWirelessSsidsHotspot20Args args, InvokeOptions options)
public static Output<GetWirelessSsidsHotspot20Result> getWirelessSsidsHotspot20(GetWirelessSsidsHotspot20Args args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getWirelessSsidsHotspot20:getWirelessSsidsHotspot20
arguments:
# arguments dictionaryThe following arguments are supported:
- network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
getWirelessSsidsHotspot20 Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Hotspot20Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Hotspot20Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Hotspot20Item - network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Hotspot20Item - network
Id string - networkId path parameter. Network ID
- number string
- number path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Hotspot20Item - network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
Supporting Types
GetWirelessSsidsHotspot20Item
- domains List<String>
- enabled Boolean
- mcc
Mncs List<Property Map> - nai
Realms List<Property Map> - network
Access StringType - operator Property Map
- roam
Consort List<String>Ois - venue Property Map
GetWirelessSsidsHotspot20ItemMccMnc
GetWirelessSsidsHotspot20ItemNaiRealm
- format String
- methods List<Property Map>
- name String
GetWirelessSsidsHotspot20ItemNaiRealmMethod
GetWirelessSsidsHotspot20ItemNaiRealmMethodAuthenticationTypes
- Credentials List<string>
- Eapinner
Authentications List<string> - Non
Eapinner List<string>Authentications - Tunneled
Eap List<string>Method Credentials
- Credentials []string
- Eapinner
Authentications []string - Non
Eapinner []stringAuthentications - Tunneled
Eap []stringMethod Credentials
- credentials List<String>
- eapinner
Authentications List<String> - non
Eapinner List<String>Authentications - tunneled
Eap List<String>Method Credentials
- credentials string[]
- eapinner
Authentications string[] - non
Eapinner string[]Authentications - tunneled
Eap string[]Method Credentials
- credentials Sequence[str]
- eapinner_
authentications Sequence[str] - non_
eapinner_ Sequence[str]authentications - tunneled_
eap_ Sequence[str]method_ credentials
- credentials List<String>
- eapinner
Authentications List<String> - non
Eapinner List<String>Authentications - tunneled
Eap List<String>Method Credentials
GetWirelessSsidsHotspot20ItemOperator
- Name string
- Name string
- name String
- name string
- name str
- name String
GetWirelessSsidsHotspot20ItemVenue
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
